The charm should have Zaza tests instead of Amulet

Bug #1828424 reported by Chris MacNaughton on 2019-05-09
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Gnocchi Charm
Undecided
Unassigned
OpenStack AODH Charm
Undecided
Liam Young
OpenStack Barbican Charm
Undecided
Unassigned
OpenStack Barbican SoftHSM Charm
Undecided
Unassigned
OpenStack Ceph-FS Charm
Undecided
Unassigned
OpenStack Ceph-Proxy Charm
Undecided
Ramon Grullon
OpenStack Designate Charm
Undecided
Unassigned
OpenStack Designate-Bind Charm
Undecided
Unassigned
OpenStack Keystone LDAP integration
Undecided
Unassigned
OpenStack LXD Charm
Low
Unassigned
OpenStack Manila Charm
Undecided
Unassigned
OpenStack Manila Generic Backend Charm
Undecided
Unassigned
OpenStack Nova Cell Controller Charm
Undecided
Unassigned
OpenStack Tempest Charm
Undecided
Unassigned
OpenStack ceilometer charm
Undecided
Eduardo Sousa
OpenStack ceilometer-agent charm
Undecided
Eduardo Sousa
OpenStack ceph-mon charm
Undecided
Chris MacNaughton
OpenStack ceph-radosgw charm
Undecided
James Page
OpenStack cinder charm
Undecided
Liam Young
OpenStack cinder-backup charm
Undecided
Natalia Litvinova
OpenStack cinder-ceph charm
Undecided
Unassigned
OpenStack glance charm
Undecided
Joe Guo
OpenStack glance-simplestreams-sync charm
Undecided
Joe Guo
OpenStack hacluster charm
Undecided
Unassigned
OpenStack heat charm
Undecided
Jose Delarosa
OpenStack neutron-api charm
Undecided
Chris MacNaughton
OpenStack neutron-gateway charm
Undecided
Unassigned
OpenStack neutron-openvswitch charm
Undecided
Unassigned
OpenStack nova-cloud-controller charm
Undecided
Liam Young
OpenStack nova-compute charm
Undecided
Liam Young
OpenStack openstack-dashboard charm
Undecided
Alex Kavanagh
OpenStack percona-cluster charm
Undecided
David Ames
OpenStack rabbitmq-server charm
Undecided
exsdev
OpenStack swift-proxy charm
Undecided
Liam Young
OpenStack swift-storage charm
Undecided
Liam Young

Bug Description

The charm is using a legacy test framework and the OpenStack Charms project is migrating all functional tests to use the Zaza library.

Ramon Grullon (rgrullon) on 2019-05-09
Changed in charm-ceph-radosgw:
assignee: nobody → Ramon Grullon (rgrullon)
Ryan Beisner (1chb1n) on 2019-05-14
Changed in charm-gnocchi:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-ceph-radosgw:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-aodh:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-barbican:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-barbican-softhsm:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-ceph-fs:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-ceph-proxy:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-designate:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-designate-bind:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-keystone-ldap:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-lxd:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-manila:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-manila-generic:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-nova-cell-controller:
status: New → Confirmed
Changed in charm-tempest:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-ceilometer:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-ceilometer-agent:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-ceph-mon:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-cinder:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-cinder-backup:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-cinder-ceph:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-swift-storage:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-swift-proxy:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-rabbitmq-server:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-percona-cluster:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-openstack-dashboard:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-nova-compute:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-nova-cloud-controller:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-neutron-openvswitch:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-neutron-gateway:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-neutron-api:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-heat:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-hacluster:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-glance:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-glance-simplestreams-sync:
milestone: none → 19.07
status: New → Confirmed
Changed in charm-nova-cell-controller:
milestone: none → 19.07
Liam Young (gnuoy) on 2019-05-14
Changed in charm-nova-cell-controller:
status: Confirmed → Fix Released
Changed in charm-swift-proxy:
assignee: nobody → Liam Young (gnuoy)
Changed in charm-swift-storage:
assignee: nobody → Liam Young (gnuoy)
Changed in charm-nova-compute:
assignee: nobody → Liam Young (gnuoy)
Changed in charm-nova-cloud-controller:
assignee: nobody → Liam Young (gnuoy)
Liam Young (gnuoy) on 2019-05-14
Changed in charm-nova-cloud-controller:
assignee: Liam Young (gnuoy) → nobody
Liam Young (gnuoy) on 2019-05-14
Changed in charm-nova-cloud-controller:
assignee: nobody → Liam Young (gnuoy)
Changed in charm-nova-compute:
assignee: Liam Young (gnuoy) → nobody
Changed in charm-ceph-mon:
assignee: nobody → Chris MacNaughton (chris.macnaughton)
status: Confirmed → In Progress
Liam Young (gnuoy) on 2019-05-16
Changed in charm-cinder:
assignee: nobody → Liam Young (gnuoy)

Reviewed: https://review.opendev.org/656634
Committed: https://git.openstack.org/cgit/openstack/charm-ceph-mon/commit/?id=01fb37ebeedd582e25e518be939346e8bd1d3313
Submitter: Zuul
Branch: master

commit 01fb37ebeedd582e25e518be939346e8bd1d3313
Author: Chris MacNaughton <email address hidden>
Date: Wed May 1 15:26:21 2019 +0200

    Migrate charm-ceph-mon testing to Zaza

    Closes-Bug: #1828424
    Change-Id: Ie46129f02566f17eabbf2eb0cae217fa0e886a4f

Changed in charm-ceph-mon:
status: In Progress → Fix Committed
Ramon Grullon (rgrullon) on 2019-05-16
Changed in charm-glance:
assignee: nobody → Ramon Grullon (rgrullon)
Changed in charm-ceph-proxy:
assignee: nobody → Ramon Grullon (rgrullon)
Changed in charm-ceph-radosgw:
assignee: Ramon Grullon (rgrullon) → James Page (james-page)
milestone: 19.07 → 19.04
status: Confirmed → Fix Released
Changed in charm-ceph-proxy:
status: Confirmed → In Progress

Reviewed: https://review.opendev.org/659548
Committed: https://git.openstack.org/cgit/openstack/charm-ceph-proxy/commit/?id=8e08a9c22a41b8df5ddfdb662a2dc9d0965bcfaf
Submitter: Zuul
Branch: master

commit 8e08a9c22a41b8df5ddfdb662a2dc9d0965bcfaf
Author: Ramon Grullon <email address hidden>
Date: Tue May 28 13:42:30 2019 +0000

    Migrate charm-ceph-proxy testing to Zaza

    Change-Id: If9e79b22a919997961a23929435450af0883b882
    Closes-Bug: #1828424
    func-test-pr: https://github.com/openstack-charmers/zaza-openstack-tests/pull/5

Changed in charm-ceph-proxy:
status: In Progress → Fix Committed
Changed in charm-neutron-api:
assignee: nobody → Chris MacNaughton (chris.macnaughton)

Fix proposed to branch: master
Review: https://review.opendev.org/663313

Changed in charm-neutron-api:
status: Confirmed → In Progress
Liam Young (gnuoy) on 2019-06-05
Changed in charm-cinder:
status: Confirmed → Fix Committed
Changed in charm-nova-compute:
assignee: nobody → Liam Young (gnuoy)
David Ames (thedac) on 2019-06-05
Changed in charm-percona-cluster:
assignee: nobody → David Ames (thedac)

Reviewed: https://review.opendev.org/663313
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-api/commit/?id=05f373a27b3a5acfa1a8bff738bbcf4e812ab307
Submitter: Zuul
Branch: master

commit 05f373a27b3a5acfa1a8bff738bbcf4e812ab307
Author: Chris MacNaughton <email address hidden>
Date: Wed Jun 5 14:55:38 2019 +0200

    Migrate functional tests from Amulet to Zaza

    Change-Id: I936aedf51b2021bf5a09dc4dceb98235aebc0a86
    func-test-pr: https://github.com/openstack-charmers/zaza-openstack-tests/pull/17
    Closes-Bug: #1828424

Changed in charm-neutron-api:
status: In Progress → Fix Committed
David Ames (thedac) on 2019-08-12
Changed in charm-ceph-mon:
status: Fix Committed → Fix Released
Changed in charm-ceph-proxy:
status: Fix Committed → Fix Released
Changed in charm-cinder:
status: Fix Committed → Fix Released
Changed in charm-neutron-api:
status: Fix Committed → Fix Released
David Ames (thedac) on 2019-08-12
Changed in charm-aodh:
milestone: 19.07 → 19.10
Changed in charm-barbican:
milestone: 19.07 → 19.10
Changed in charm-barbican-softhsm:
milestone: 19.07 → 19.10
Changed in charm-ceilometer:
milestone: 19.07 → 19.10
Changed in charm-ceilometer-agent:
milestone: 19.07 → 19.10
Changed in charm-ceph-fs:
milestone: 19.07 → 19.10
Changed in charm-cinder-backup:
milestone: 19.07 → 19.10
Changed in charm-cinder-ceph:
milestone: 19.07 → 19.10
Changed in charm-designate:
milestone: 19.07 → 19.10
Changed in charm-designate-bind:
milestone: 19.07 → 19.10
Changed in charm-glance:
milestone: 19.07 → 19.10
Changed in charm-glance-simplestreams-sync:
milestone: 19.07 → 19.10
Changed in charm-gnocchi:
milestone: 19.07 → 19.10
Changed in charm-hacluster:
milestone: 19.07 → 19.10
Changed in charm-heat:
milestone: 19.07 → 19.10
Changed in charm-keystone-ldap:
milestone: 19.07 → 19.10
Changed in charm-lxd:
milestone: 19.07 → 19.10
Changed in charm-manila:
milestone: 19.07 → 19.10
Changed in charm-manila-generic:
milestone: 19.07 → 19.10
Changed in charm-neutron-gateway:
milestone: 19.07 → 19.10
Changed in charm-neutron-openvswitch:
milestone: 19.07 → 19.10
Changed in charm-nova-cloud-controller:
milestone: 19.07 → 19.10
Changed in charm-nova-compute:
milestone: 19.07 → 19.10
Changed in charm-openstack-dashboard:
milestone: 19.07 → 19.10
Changed in charm-percona-cluster:
milestone: 19.07 → 19.10
Changed in charm-rabbitmq-server:
milestone: 19.07 → 19.10
Changed in charm-swift-proxy:
milestone: 19.07 → 19.10
Changed in charm-swift-storage:
milestone: 19.07 → 19.10
Changed in charm-tempest:
milestone: 19.07 → 19.10
Changed in charm-openstack-dashboard:
assignee: nobody → Camille Rodriguez (camille.rodriguez)
Changed in charm-openstack-dashboard:
status: Confirmed → In Progress
Ryan Beisner (1chb1n) on 2019-09-05
Changed in charm-glance-simplestreams-sync:
assignee: nobody → Joe Guo (guoqiao)
Changed in charm-glance:
assignee: Ramon Grullon (rgrullon) → Joe Guo (guoqiao)

Fix proposed to branch: master
Review: https://review.opendev.org/680903

Changed in charm-glance-simplestreams-sync:
status: Confirmed → In Progress
Changed in charm-glance:
status: Confirmed → In Progress
Ryan Beisner (1chb1n) on 2019-09-10
Changed in charm-lxd:
importance: Undecided → Low
status: Confirmed → Invalid

Reviewed: https://review.opendev.org/679599
Committed: https://git.openstack.org/cgit/openstack/charm-glance/commit/?id=35beb586dadd54c1b7a1917b2ae73f4cb517eecf
Submitter: Zuul
Branch: master

commit 35beb586dadd54c1b7a1917b2ae73f4cb517eecf
Author: Joe Guo <email address hidden>
Date: Sun Sep 1 21:08:13 2019 +1200

    Migrate functional tests from Amulet to Zaza

    Migrate glance tests from Amulet to Zaza, which is Python3 only.

    func-test-pr: https://github.com/openstack-charmers/zaza-openstack-tests/pull/50

    Partial-Bug: 1828424

    Change-Id: I053a056d8e2a79ed22ea8a976a8f378994b1e8eb
    Signed-off-by: Joe Guo <email address hidden>

Reviewed: https://review.opendev.org/680903
Committed: https://git.openstack.org/cgit/openstack/charm-glance-simplestreams-sync/commit/?id=660ce5b0217342237fde30ca075c60644655710c
Submitter: Zuul
Branch: master

commit 660ce5b0217342237fde30ca075c60644655710c
Author: Joe Guo <email address hidden>
Date: Fri Sep 6 14:51:26 2019 +1200

    Migrate from Amulet to Zaza

    This patch migrate tests from Amulet to Zaza, and Python3 only.

    SSL is enabled for all bundles with charm-vault, except trusty, which is
    not supported by vault.

    func-test-pr: https://github.com/openstack-charmers/zaza-openstack-tests/pull/55

    Partial-Bug: 1828424

    Change-Id: I4dacf33d3ab4dedbbe62a36b1b2ce5606e51d234
    Signed-off-by: Joe Guo <email address hidden>

Joe Guo (guoqiao) on 2019-09-13
Changed in charm-glance:
status: In Progress → Fix Committed
Changed in charm-glance-simplestreams-sync:
status: In Progress → Fix Committed
Liam Young (gnuoy) on 2019-09-20
Changed in charm-aodh:
assignee: nobody → Liam Young (gnuoy)
Changed in charm-openstack-dashboard:
assignee: Camille Rodriguez (camille.rodriguez) → nobody
status: In Progress → Confirmed
Changed in charm-ceilometer:
assignee: nobody → Natalia Litvinova (natalytvinova)
Changed in charm-ceilometer:
assignee: Natalia Litvinova (natalytvinova) → nobody
Eduardo Sousa (edsousa) on 2019-09-24
Changed in charm-ceilometer:
assignee: nobody → Eduardo Sousa (edsousa)
Eduardo Sousa (edsousa) on 2019-09-24
Changed in charm-ceilometer-agent:
assignee: nobody → Eduardo Sousa (edsousa)
Changed in charm-cinder-backup:
assignee: nobody → Natalia Litvinova (natalytvinova)

Fix proposed to branch: master
Review: https://review.opendev.org/684382

Changed in charm-ceilometer:
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/685631

Changed in charm-ceilometer-agent:
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.opendev.org/687074

Changed in charm-cinder-backup:
status: Confirmed → In Progress

Reviewed: https://review.opendev.org/687074
Committed: https://git.openstack.org/cgit/openstack/charm-cinder-backup/commit/?id=478cda6ad61278fbec54a5ec2a5ac03ea61ff75c
Submitter: Zuul
Branch: master

commit 478cda6ad61278fbec54a5ec2a5ac03ea61ff75c
Author: Natalia Litvinova <email address hidden>
Date: Mon Sep 30 15:41:31 2019 +0300

    Migrate functional tests from Amulet to Zaza

    This patch migrates functional tests from Amulet to Zaza.

    func-test-pr: https://github.com/openstack-charmers/zaza-openstack-tests/pull/70

    Change-Id: I92f0a9bdd3677200c775dc82695a3b950a51aac9
    Partial-Bug: #1828424

Ryan Beisner (1chb1n) on 2019-10-10
Changed in charm-rabbitmq-server:
assignee: nobody → exsdev (exsdev)
Ryan Beisner (1chb1n) on 2019-10-10
Changed in charm-heat:
assignee: nobody → Jose Delarosa (jdelaros1)

Reviewed: https://review.opendev.org/683846
Committed: https://git.openstack.org/cgit/openstack/charm-rabbitmq-server/commit/?id=466ab245578406479e30072a3dcd4c223f3485ef
Submitter: Zuul
Branch: master

commit 466ab245578406479e30072a3dcd4c223f3485ef
Author: Edin Sarajlic <email address hidden>
Date: Fri Sep 6 04:37:27 2019 +0000

    Port Charm RabbitMQ func tests from Amulet to Zaza

    func-test-pr: https://github.com/openstack-charmers/zaza-openstack-tests/pull/60

    Change-Id: I876a90ce58c89e4a760dad88d5a2381d60171037
    Closes-Bug: #1828424

Changed in charm-rabbitmq-server:
status: Confirmed → Fix Committed
Changed in charm-openstack-dashboard:
assignee: nobody → Alex Kavanagh (ajkavanagh)
status: Confirmed → In Progress
David Ames (thedac) on 2019-10-24
Changed in charm-glance:
status: Fix Committed → Fix Released
Changed in charm-glance-simplestreams-sync:
status: Fix Committed → Fix Released
Changed in charm-rabbitmq-server:
status: Fix Committed → Fix Released
David Ames (thedac) on 2019-10-24
Changed in charm-aodh:
milestone: 19.10 → 20.01
Changed in charm-barbican:
milestone: 19.10 → 20.01
Changed in charm-barbican-softhsm:
milestone: 19.10 → 20.01
Changed in charm-ceilometer:
milestone: 19.10 → 20.01
Changed in charm-ceilometer-agent:
milestone: 19.10 → 20.01
Changed in charm-ceph-fs:
milestone: 19.10 → 20.01
Changed in charm-cinder-backup:
milestone: 19.10 → 20.01
Changed in charm-cinder-ceph:
milestone: 19.10 → 20.01
Changed in charm-designate:
milestone: 19.10 → 20.01
Changed in charm-designate-bind:
milestone: 19.10 → 20.01
Changed in charm-gnocchi:
milestone: 19.10 → 20.01
Changed in charm-hacluster:
milestone: 19.10 → 20.01
Changed in charm-heat:
milestone: 19.10 → 20.01
Changed in charm-keystone-ldap:
milestone: 19.10 → 20.01
Changed in charm-manila:
milestone: 19.10 → 20.01
David Ames (thedac) on 2019-10-24
Changed in charm-manila-generic:
milestone: 19.10 → 20.01
Changed in charm-neutron-gateway:
milestone: 19.10 → 20.01
Changed in charm-neutron-openvswitch:
milestone: 19.10 → 20.01
Changed in charm-nova-cloud-controller:
milestone: 19.10 → 20.01
Changed in charm-nova-compute:
milestone: 19.10 → 20.01
Changed in charm-openstack-dashboard:
milestone: 19.10 → 20.01
Changed in charm-percona-cluster:
milestone: 19.10 → 20.01
Changed in charm-swift-proxy:
milestone: 19.10 → 20.01
Changed in charm-swift-storage:
milestone: 19.10 → 20.01
Changed in charm-tempest:
milestone: 19.10 → 20.01

Reviewed: https://review.opendev.org/690596
Committed: https://git.openstack.org/cgit/openstack/charm-openstack-dashboard/commit/?id=830c3b2dd2e543b1a57dee7b9ac6b34cb341288e
Submitter: Zuul
Branch: master

commit 830c3b2dd2e543b1a57dee7b9ac6b34cb341288e
Author: Alex Kavanagh <email address hidden>
Date: Wed Oct 23 15:39:09 2019 +0100

    Implement zaza tests for openstack-dashboard charm

    This patchset removes the amulet tests and ports them to using the zaza
    framework.

    This patcheset is dependent on PR#104 [1] to be able to merged.

    [1]: https://github.com/openstack-charmers/zaza-openstack-tests/pull/104

    Change-Id: I1af134a3d7346af77584949722ca23ff65107502
    Closes-Bug: #1828424

Changed in charm-openstack-dashboard:
status: In Progress → Fix Committed
Changed in charm-heat:
status: Confirmed → In Progress
Liam Young (gnuoy) on 2019-10-31
Changed in charm-aodh:
status: Confirmed → Fix Released
milestone: 20.01 → 19.10

Reviewed: https://review.opendev.org/691445
Committed: https://git.openstack.org/cgit/openstack/charm-heat/commit/?id=4e29bc37d71f18ed2fc703a61cdb45efc9b807f3
Submitter: Zuul
Branch: master

commit 4e29bc37d71f18ed2fc703a61cdb45efc9b807f3
Author: Jose Delarosa <email address hidden>
Date: Fri Oct 25 16:43:15 2019 -0500

    Implement zaza tests for heat charm

    This patchset removes the amulet tests and ports them to use the zaza
    framework.

    func-test-pr: https://github.com/openstack-charmers/zaza-openstack-tests/pull/105

    Code improvements and fixes

    * Used correct templates for test-requirements.txt and tox.ini
    * Fixed functional_test field in Makefile
    * Removed admin passwords and tokens from bundle files
    * Added source and openstack-origin for all bundles that need it
    * Added placement charm to bionic-train bundle

    Add configuration entries to tests.yaml

    Change-Id: I53201690ce844daa9445cad3491f594b673b23fe
    Closes-Bug: #1828424

Changed in charm-heat:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers